# Uses of Interface
org.springframework.aop.framework.adapter.AdvisorAdapter

Packages that use AdvisorAdapter
Package
Description
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.

## Uses of AdvisorAdapter in org.springframework.aop.framework.adapter

Methods in org.springframework.aop.framework.adapter with parameters of type AdvisorAdapter
Modifier and Type
Method
Description
`void`
AdvisorAdapterRegistry.`registerAdvisorAdapter(AdvisorAdapter adapter)`
Register the given `AdvisorAdapter`.
`void`
DefaultAdvisorAdapterRegistry.`registerAdvisorAdapter(AdvisorAdapter adapter)`